{
  "name": "nodemagic",
  "version": "1.0.0",
  "description": "",
  "main": "src/server.js",
  "scripts": {
    "start": "NODE_ENV=production node src/server.js",
    "dev": "NODE_ENV=development nodemon server.js --ignore __tests --ignore src/app/models --ignore src/app/metadata",
    "pretest": "NODE_ENV=test sequelize db:migrate",
    "test": "NODE_ENV=test ava --verbose",
    "posttest": "NODE_ENV=test sequelize db:migrate:undo:all",
    "pretestreport": "NODE_ENV=test sequelize db:migrate",
    "testreport": "NODE_ENV=test nyc ava",
    "posttestreport": "NODE_ENV=test sequelize db:migrate:undo:all",
    "resetdb": "node truncate.js && sequelize db:seed:all"
  },
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/mnaegeler/nodemagic.git"
  },
  "keywords": [],
  "author": "",
  "license": "ISC",
  "bugs": {
    "url": "https://gitlab.com/mnaegeler/nodemagic/issues"
  },
  "homepage": "https://gitlab.com/mnaegeler/nodemagic#readme",
  "dependencies": {
    "bcryptjs": "^2.4.3",
    "cors": "^2.8.5",
    "dotenv": "^8.2.0",
    "express": "^4.17.1",
    "jsonwebtoken": "^8.5.1",
    "nodemon": "^2.0.2",
    "pg": "^7.18.2",
    "pg-hstore": "^2.3.3",
    "prettier": "^2.1.1",
    "sequelize": "^5.21.5"
  },
  "devDependencies": {
    "ava": "^3.5.0",
    "eslint": "^6.8.0",
    "eslint-config-standard": "^14.1.1",
    "factory-girl": "^5.0.4",
    "faker": "^4.1.0",
    "nyc": "^15.0.0",
    "sequelize-cli": "^5.5.1",
    "sqlectron-term": "^1.0.0",
    "sqlite3": "^4.1.1",
    "supertest": "^4.0.2"
  },
  "ava": {
    "files": [
      "__tests/unit/**/*",
      "__tests/integration/**/*"
    ],
    "concurrency": 0,
    "tap": false
  },
  "nyc": {
    "reporter": "lcov",
    "include": [
      "src/**"
    ]
  }
}
